2009-11-05  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* ff3-dom.cpp: Fix uninitialized variable warnings.

	r: andreia

2009-08-17  Andreia Gaita  <avidigal@novell.com>

	* ff3-dom.cpp: don't delete the wrapper, it's refcounted by gecko
	and disposed when RemoveEventListener is called.

	r: toshok

2009-05-27  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* ff3-http.cpp:
	* ff3-bridge.h: Updated according to downloader API changes.

2009-05-02  Rusty Howell  <rhowell@novell.com>

	* Makefile.am: Create a different bridge for the xpi

2009-04-06  Andreia Gaita  <avidigal@novell.com>

	* ff3-bridge.h, ff3-dom.cpp: Move some of the common ff2/3 code 
	to ff-common.h

2009-04-01  Andreia Gaita  <avidigal@novell.com>

	* ff3-bridge.h, ff3-dom.cpp: Wrap nsIDOM events as npobj and
	include them in the callback so that they can be referenced later
	from managed

2009-03-31  Jb Evain  <jbevain@novell.com>

	* ff3-dom.cpp (HandleEvent): handle key events.

2009-03-30  Andreia Gaita <avidigal@novell.com>

	* ff3-dom.cpp: Fix event registration on window object (the
	wrapper is different, but the object is the same)

2008-12-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* ff3-bridge.h, ff3-dom.cpp: Rework event attaching/detaching a bit:
	  html_object_attach_event now takes a context argument, which is
	  passed to the event callback. ff2/3-dom.cpp: After removing the
	  event listener we delete the wrapper.

2008-09-16  Fernando Herrera  <fherrera@novell.com>

	* Makefile.am: Add asf include dir

2008-08-25  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (libmoonplugin_ff3bridge_la_LIBADD): use --module
	-avoid-version to get rid of the .so.0.0.0 mess.  fixes bug
	#418907.

2008-07-02  Chris Toshok  <toshok@ximian.com>

	* ff3-dom.cpp: rip out the duplicated NPN_strdup and
	string_to_npvariant from here, and use the one in plugin-class.cpp
	instead.

2008-05-12  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Dist ff3-bridge.h as well
